[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# TryJulianDateToDateTime

Convert a Julian date representation to a TDateTime value.

## Declaration

Source position: dateutil.inc line 397

`function TryJulianDateToDateTime(`
`const AValue: Double;`
`out ADateTime: TDateTime`
`):Boolean;`

## Arguments

`AValue` |  | Date in Julian notation
`ADateTime` |  | Resulting TDateTime equivalent

## Function result

True if the conversion was succesful, False if not.

## Description

Try to convert a Julian date to a regular TDateTime date/time representation.

## See also

DateTimeToJulianDate |  | Converts a TDateTime value to a Julian date representation
JulianDateToDateTime |  | Convert a Julian date representation to a TDateTime value.
DateTimeToModifiedJulianDate |  | Convert a TDateTime value to a modified Julian date representation
TryModifiedJulianDateToDateTime |  | Convert a modified Julian date representation to a TDateTime value.

Documentation generated on: Feb 26 2014